Arch: AxisSystem/Система осей

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch AxisSystem and the translation is 17% complete.

Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Arch Axis.svg Axis
Next: Grid Arch Grid.svg Arrow-right.svg

Arch AxisSystem.png Arch AxisSystem

Menu location
Arch → Axis System
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Axis, Grid

Описание

Средство Axis System позволяет объединить 2 или 3 объекта Arch Axis. Основная функция этого инструмента - рассчитать точки пересечения между различными осями, включенными в эту систему. Объекты Arch могут затем использовать эту систему для дублирования их формы в разных точках пересечения.

This is useful to define the intersection points between the different axes. Arch objects can then use this system to duplicate their shape on the different intersection points.

Arch AxisSystem example.jpg

На приведенном выше рисунке показаны три объекта Arch Axis, объединенные в одну систему Axis. Затем объект столбца использует эту систему как свое свойство Axis, чтобы иметь форму, дублируемую в каждой точке пересечения.

Использование

  1. Optionally, select the Arch Axis objects you wish to include in this system.
  2. Press the Arch Axis System.svg Arch AxisSystem button.
  3. Right-click the newly created axes system object in the tree view to add/edit the Arch Axis objects included in this system.
  4. Select any existing Arch Axis and press Arch Add.svg Arch Add or Arch Remove.svg Arch Remove buttons to add or remove it to/from this system.
  5. Set the DATAAxis property of any Arch object to point to this system, to have its shape duplicated to the intersection points of this system.

Options

  • A same Arch Axis object can be part of more than one system
  • Any shape-based object can also be used as the Axis property of Arch objects. In this case, the object shape will be duplicated along the vertices of the Axis object

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The AxisSystem tool can be used in macros and from the Python console by using the following function:

AxisSystem = makeAxisSystem(axes, name="Axis System")
  • Creates an AxisSystem object from the given axes, which is a single Arch Axis, or a list of them.

Example:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()

AxisSystem = Arch.makeAxisSystem([Axes, Axes2])

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = AxisSystem
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Arch Axis.svg Axis
Next: Grid Arch Grid.svg Arrow-right.svg